## pdf-presenter-console 1.1.1

=== CMakeLists.txt ===
project("pdf-presenter-console" C)
cmake_minimum_required(VERSION 2.6)

list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/vala)
include(ValaPrecompile)
include(ValaVersion)

find_package(Vala)

		
ensure_vala_version("0.7.8" MINIMUM)

add_subdirectory(src)

=== src/CMakeLists.txt ===
find_package(PkgConfig)
pkg_check_modules(GOBJECT REQUIRED gobject-2.0)
pkg_check_modules(GIO REQUIRED gio-2.0)
pkg_check_modules(POPPLER REQUIRED poppler-glib)
pkg_check_modules(GTK REQUIRED gtk+-2.0)
pkg_check_modules(GTHREAD REQUIRED gthread-2.0)

set(CFLAGS
	${GOBJECT_CFLAGS} ${GOBJECT_CFLAGS_OTHER}
	${GIO_CFLAGS} ${GIO_CFLAGS_OTHER}
	${POPPLER_CFLAGS} ${POPPLER_CFLAGS_OTHER}
	${GTK_CFLAGS} ${GTK_CFLAGS_OTHER}
	${GTHREAD_CFLAGS} ${GTHREAD_CFLAGS_OTHER}
)
add_definitions(${CFLAGS})

set(LIBS
	${GOBJECT_LIBRARIES}
	${GIO_LIBRARIES}
	${POPPLER_LIBRARIES}
	${GTK_LIBRARIES}
	${GTHREAD_LIBRARIES}
)
link_libraries(${LIBS})

set(LIB_PATHS
	${GOBJECT_LIBRARY_DIRS}
	${GIO_LIBRARY_DIRS}
	${POPPLER_LIBRARY_DIRS}
	${GTK_LIBRARY_DIRS}
	${GTHREAD_LIBRARY_DIRS}
)
link_directories(${LIB_PATHS})

set(VALA_SRC
	pdf_presenter_console.vala
	classes/pdf_image.vala
	classes/fullscreen_window.vala
	classes/presentation_window.vala
	classes/presentation_controller.vala
	classes/presenter_window.vala
	classes/cache_status.vala
	classes/timer_label.vala
	interfaces/controllable.vala
)

# Vala segfaults if its output dirs are not existant. Therefore make sure they
# are there.
if (NOT IS_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/classes")
	make_directory("${CMAKE_CURRENT_BINARY_DIR}/classes")
endif (NOT IS_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/classes")
if (NOT IS_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/interfaces")
	make_directory("${CMAKE_CURRENT_BINARY_DIR}/interfaces")
endif (NOT IS_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/interfaces")

vala_precompile(VALA_C
	${VALA_SRC}
PACKAGES 
	gio-2.0
	poppler-glib
	gtk+-2.0
	posix
OPTIONS 
	--thread
GENERATE_HEADER
	presenter
GENERATE_VAPI
	presenter
)

add_executable(pdf_presenter_console
  	${VALA_C}
)

install(TARGETS 
	pdf_presenter_console
RUNTIME
DESTINATION
	bin
)

# The tests need a library version of all the pdf_presenter_stuff
add_library(pdf_presenter_console_test_library 
	SHARED
	EXCLUDE_FROM_ALL
	${VALA_C} presenter.h presenter.vapi
)

=== debian/changelog ===
pdf-presenter-console (1.1.1-3ubuntu2) maverick; urgency=low

  * No-change rebuild against libpoppler7.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Tue, 14 Sep 2010 18:38:53 -0400

pdf-presenter-console (1.1.1-3ubuntu1) maverick; urgency=low

  * debian/patches/01_fix_undefinied_color_ftbfs.patch:
    - fix FTBFS with new Vala: use explicitely Gdk.Color
  * No other changeto build against current poppler library ABI.

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 05 Aug 2010 13:07:58 +0200

pdf-presenter-console (1.1.1-3) unstable; urgency=low

  * Swizzle Vcs-* from upstream to debian collab-maint (debian/control)
  * Switch to dpkg-source 3.0 (quilt) format

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 25 Mar 2010 18:56:40 +0000

pdf-presenter-console (1.1.1-2) unstable; urgency=low

  * Man patch, thanks Joachim Breitner <nomeata@debian.org> (closes: #572354)

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 04 Mar 2010 12:06:34 +0000

pdf-presenter-console (1.1.1-1) unstable; urgency=low

  * New upstream release
    - fixes build problem with valac 0.7.10

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 22 Feb 2010 14:47:46 +0000

pdf-presenter-console (1.1-1) unstable; urgency=low

  * Initial release (Closes: #567685)

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 30 Jan 2010 16:40:33 +0100

=== debian/control ===
Source: pdf-presenter-console
Section: graphics
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Barak A. Pearlmutter <bap@debian.org>
Build-Depends: debhelper (>= 7.2.5), valac (>= 0.7.8), cmake (>= 2.6.3), libgtk2.0-dev (>= 2.18.3), libpoppler-glib-dev
Standards-Version: 3.8.4
Homepage: http://westhoffswelt.de/projects/pdf_presenter_console.html
Vcs-Git: git://git.debian.org/git/collab-maint/pdf-presenter-console.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/pdf-presenter-console.git
# X-Upstream-Vcs-Git: git://github.com/jakobwesthoff/Pdf-Presenter-Console.git
# X-Upstream-Vcs-Browser: http://github.com/jakobwesthoff/Pdf-Presenter-Console

Package: pdf-presenter-console
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: multi-monitor presentation tool (ala Keynote) for PDF files
 PPC is a viewer for PDF which uses Keynote-like multi-monitor output
 to provide meta information to the speaker.  It can show a normal
 presentation window on one screen and a more sophisticated overview
 on the other, with information like a picture of the next slide and a
 clock with the time remaining.

=== debian/watch ===
version=3
http://githubredir.debian.net/github/jakobwesthoff/Pdf-Presenter-Console .*/release-(.*).tar.gz

## pdf-presenter-console 1.1.1+git.02dfcf

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,6 +8,6 @@
 find_package(Vala)
 
 		
-ensure_vala_version("0.7.8" MINIMUM)
+ensure_vala_version("0.7.10" MINIMUM)
 
 add_subdirectory(src)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -33,25 +33,58 @@
 link_directories(${LIB_PATHS})
 
 set(VALA_SRC
+	classes/cache_status.vala
+	classes/metadata/base.vala
+	classes/metadata/pdf.vala
+	classes/mutex_locks.vala
+	classes/options.vala
+	classes/presentation_controller.vala
+	classes/renderer/base.vala
+	classes/renderer/pdf.vala
+	classes/renderer/cache/base.vala
+	classes/renderer/cache/simple/engine.vala
+	classes/renderer/cache/png/item.vala
+	classes/renderer/cache/png/engine.vala
+	classes/renderer/cache/option_factory.vala
+	classes/scaler.vala
+	classes/timer_label.vala
+	classes/view/base.vala
+	classes/view/default.vala
+	classes/view/pdf.vala
+	classes/view/behaviour/base.vala
+	classes/view/behaviour/pdf_link/implementation.vala
+	classes/view/behaviour/pdf_link/signal_provider.vala
+	classes/window/fullscreen.vala
+	classes/window/presentation.vala
+	classes/window/presenter.vala
+	interfaces/renderer/caching.vala
+	interfaces/view/prerendering.vala
+	interfaces/view/behaviour/decoratable.vala
+	interfaces/controllable.vala
 	pdf_presenter_console.vala
-	classes/pdf_image.vala
-	classes/fullscreen_window.vala
-	classes/presentation_window.vala
-	classes/presentation_controller.vala
-	classes/presenter_window.vala
-	classes/cache_status.vala
-	classes/timer_label.vala
-	interfaces/controllable.vala
 )
 
 # Vala segfaults if its output dirs are not existant. Therefore make sure they
 # are there.
-if (NOT IS_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/classes")
-	make_directory("${CMAKE_CURRENT_BINARY_DIR}/classes")
-endif (NOT IS_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/classes")
-if (NOT IS_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/interfaces")
-	make_directory("${CMAKE_CURRENT_BINARY_DIR}/interfaces")
-endif (NOT IS_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/interfaces")
+macro(make_compile_directory directory)
+	if (NOT IS_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/${directory}")
+		make_directory("${CMAKE_CURRENT_BINARY_DIR}/${directory}")
+	endif (NOT IS_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/${directory}")
+endmacro(make_compile_directory)
+
+make_compile_directory("classes")
+make_compile_directory("classes/metadata")
+make_compile_directory("classes/renderer")
+make_compile_directory("classes/renderer/cache/simple")
+make_compile_directory("classes/renderer/cache/png")
+make_compile_directory("classes/view")
+make_compile_directory("classes/view/behaviour")
+make_compile_directory("classes/view/behaviour/pdf_link")
+make_compile_directory("classes/window")
+make_compile_directory("interfaces")
+make_compile_directory("interfaces/renderer")
+make_compile_directory("interfaces/view")
+make_compile_directory("interfaces/view/behaviour")
 
 vala_precompile(VALA_C
 	${VALA_SRC}
@@ -62,6 +95,8 @@
 	posix
 OPTIONS 
 	--thread
+	--debug
+	--vapidir=${CMAKE_CURRENT_SOURCE_DIR}/vapis
 GENERATE_HEADER
 	presenter
 GENERATE_VAPI
@@ -71,6 +106,9 @@
 add_executable(pdf_presenter_console
   	${VALA_C}
 )
+
+# explicitly add libraries (needed e.g. for Fedora 13+)
+target_link_libraries(pdf_presenter_console -lm)
 
 install(TARGETS 
 	pdf_presenter_console

=== debian/changelog ===
pdf-presenter-console (1.1.1+git.02dfcf-1) unstable; urgency=low

  * Merge upstream snaphot (closes: #589734)
  * Bump standards version

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 20 Jul 2010 15:37:46 +0100

pdf-presenter-console (1.1.1-4) unstable; urgency=low

  * Register support of pdf file display with mime subsystem (debian/*.mime)
  * mouse interaction patch, also in next upstream release (closes: #572354)
  * add TIMER section to man page in debian/pdf_presenter_console.1

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 31 May 2010 22:41:10 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: pdf-presenter-console
 Section: graphics
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Barak A. Pearlmutter <bap@debian.org>
+Maintainer: Barak A. Pearlmutter <bap@debian.org>
 Build-Depends: debhelper (>= 7.2.5), valac (>= 0.7.8), cmake (>= 2.6.3), libgtk2.0-dev (>= 2.18.3), libpoppler-glib-dev
-Standards-Version: 3.8.4
+Standards-Version: 3.9.0
 Homepage: http://westhoffswelt.de/projects/pdf_presenter_console.html
 Vcs-Git: git://git.debian.org/git/collab-maint/pdf-presenter-console.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/pdf-presenter-console.git

=== debian/rules ===
#!/usr/bin/make -f

build clean install binary-arch binary-indep binary:
	dh $@

override_dh_auto_test:
	echo skipping dh_auto_test as it seems to go into infinite recursion

.PHONY: build clean install binary-arch binary-indep binary

# debian/pdf_presenter_console.1:
# 	help2man --no-info \
# 		 --output=$@ \
# 		debian/pdf-presenter-console/usr/bin/pdf_presenter_console
# 	editor $@

## pdf-presenter-console 2.0

=== CMakeLists.txt ===
project("pdf-presenter-console" C)
cmake_minimum_required(VERSION 2.6)

list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/Vala_CMake/vala)
include(ValaPrecompile)
include(ValaVersion)

find_package(Vala)

ensure_vala_version("0.11.0" MINIMUM)

add_subdirectory(src)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -72,20 +72,6 @@
 	endif (NOT IS_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/${directory}")
 endmacro(make_compile_directory)
 
-make_compile_directory("classes")
-make_compile_directory("classes/metadata")
-make_compile_directory("classes/renderer")
-make_compile_directory("classes/renderer/cache/simple")
-make_compile_directory("classes/renderer/cache/png")
-make_compile_directory("classes/view")
-make_compile_directory("classes/view/behaviour")
-make_compile_directory("classes/view/behaviour/pdf_link")
-make_compile_directory("classes/window")
-make_compile_directory("interfaces")
-make_compile_directory("interfaces/renderer")
-make_compile_directory("interfaces/view")
-make_compile_directory("interfaces/view/behaviour")
-
 vala_precompile(VALA_C
 	${VALA_SRC}
 PACKAGES 
@@ -96,7 +82,6 @@
 OPTIONS 
 	--thread
 	--debug
-	--vapidir=${CMAKE_CURRENT_SOURCE_DIR}/vapis
 GENERATE_HEADER
 	presenter
 GENERATE_VAPI

=== debian/changelog ===
pdf-presenter-console (2.0-8) unstable; urgency=low

  * bump to dh9
  * bump debian standards
  * change valac dependency for transition (closes: #663317)

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 14 Mar 2012 10:49:05 +0000

pdf-presenter-console (2.0-7) unstable; urgency=low

  * poppler 0.18 patch, thanks to David Vilar (closes: #651852)
    also thanks to Martin Pitt <martin.pitt@ubuntu.com> for the ping

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 12 Feb 2012 09:40:39 +0000

pdf-presenter-console (2.0-6) unstable; urgency=low

  * desktop file, thanks to Peter Eisentraut (closes: #648882)
  * update man page

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 16 Nov 2011 09:50:10 +0000

pdf-presenter-console (2.0-5) unstable; urgency=low

  * align stated priority with override (debian/control)
  * silence lintian regarding debian/rules targets
  * single debian patch source option (closes: #643239)
  * link pdf-presenter-console(1) to pdf_presenter_console(1) (closes: #641755)

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 06 Oct 2011 22:33:38 +0100

pdf-presenter-console (2.0-4) unstable; urgency=low

  * reverse valac disjunctive dependencies (closes: #609676)
  * bump debian standards

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 02 Jun 2011 14:04:31 +0100

pdf-presenter-console (2.0-3) unstable; urgency=low

  * alias for binary (debian/pdf-presenter-console.links) (closes: #597908)
  
 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 01 Mar 2011 14:52:29 +0000

pdf-presenter-console (2.0-2) unstable; urgency=low

  * priority optional (debian/control)
  * allow valac-0.12 as valac build dependency

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 09 Feb 2011 00:57:39 +0000

pdf-presenter-console (2.0-1) experimental; urgency=low

  * New upstream release (closes: #610251)
  * bump version of valac build dependency (debian/control)

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 16 Jan 2011 16:51:21 +0000

pdf-presenter-console (1.1.1+git.02dfcf-3) unstable; urgency=low

  * GNU GPLv2+ in debian/copyright (closes: #609608)

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 11 Jan 2011 07:18:39 +0000

pdf-presenter-console (1.1.1+git.02dfcf-2) UNRELEASED; urgency=low

  * move upstream repo info (debian/control, debian/copyright)
  * bump standards version (debian/control)
  * bump valac build-depends to 0.9.7+ per README.rst (debian/control)
  * dh --parallel
  * dh 8

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 30 Nov 2010 21:49:44 +0000

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,15 @@
 Section: graphics
 Priority: extra
 Maintainer: Barak A. Pearlmutter <bap@debian.org>
-Build-Depends: debhelper (>= 7.2.5), valac (>= 0.7.8), cmake (>= 2.6.3), libgtk2.0-dev (>= 2.18.3), libpoppler-glib-dev
-Standards-Version: 3.9.0
+Build-Depends: debhelper (>= 9),
+	       valac-0.14 | valac (>= 0.11.0) | valac-0.12,
+	       cmake (>= 2.6.3),
+	       libgtk2.0-dev (>= 2.18.3),
+	       libpoppler-glib-dev
+Standards-Version: 3.9.3
 Homepage: http://westhoffswelt.de/projects/pdf_presenter_console.html
 Vcs-Git: git://git.debian.org/git/collab-maint/pdf-presenter-console.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/pdf-presenter-console.git
-# X-Upstream-Vcs-Git: git://github.com/jakobwesthoff/Pdf-Presenter-Console.git
-# X-Upstream-Vcs-Browser: http://github.com/jakobwesthoff/Pdf-Presenter-Console
 
 Package: pdf-presenter-console
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

dh_targets=binary binary-arch binary-indep build build-arch build-indep clean install

$(dh_targets) %:
	dh $@ --parallel

override_dh_auto_test:
	echo skipping dh_auto_test as it seems to go into infinite recursion

.PHONY: $(dh_targets)

# debian/pdf_presenter_console.1:
# 	help2man --no-info \
# 		 --output=$@ \
# 		debian/pdf-presenter-console/usr/bin/pdf_presenter_console
# 	editor $@

## pdf-presenter-console 3.1

=== CMakeLists.txt ===
project("pdfpc" C)
cmake_minimum_required(VERSION 2.6)

SET(CMAKE_BUILD_TYPE "Release")

# Uncomment this section if you want to compile from vala sources
#list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/Vala_CMake/vala)
#include(ValaPrecompile)
#include(ValaVersion)
#
#find_package(Vala)
#
#ensure_vala_version("0.11.0" MINIMUM)
#
#add_subdirectory(src)

# ...and comment the following line
add_subdirectory(c-src)

set(SYSCONFDIR "${CMAKE_INSTALL_PREFIX}/etc" CACHE FILEPATH "sysconfdir")

add_subdirectory(icons)
add_subdirectory(man)
add_subdirectory(rc)

=== c-src/CMakeLists.txt ===
find_package(PkgConfig)
pkg_check_modules(GOBJECT REQUIRED gobject-2.0)
pkg_check_modules(GIO REQUIRED gio-2.0)
pkg_check_modules(GEE REQUIRED gee-1.0)
pkg_check_modules(POPPLER REQUIRED poppler-glib)
pkg_check_modules(GTK REQUIRED gtk+-2.0)
pkg_check_modules(GTHREAD REQUIRED gthread-2.0)
pkg_check_modules(RSVG REQUIRED librsvg-2.0)

set(CFLAGS
	${GOBJECT_CFLAGS} ${GOBJECT_CFLAGS_OTHER}
	${GIO_CFLAGS} ${GIO_CFLAGS_OTHER}
        ${GEE_CFLAGS} ${GEE_CFLAGS_OTHER}
	${POPPLER_CFLAGS} ${POPPLER_CFLAGS_OTHER}
	${GTK_CFLAGS} ${GTK_CFLAGS_OTHER}
	${GTHREAD_CFLAGS} ${GTHREAD_CFLAGS_OTHER}
        ${RSVG_CFLAGS} ${RSVG_CFLAGS_OTHER}
)
add_definitions(${CFLAGS})

set(LIBS
	${GOBJECT_LIBRARIES}
	${GIO_LIBRARIES}
        ${GEE_LIBRARIES}
	${POPPLER_LIBRARIES}
	${GTK_LIBRARIES}
	${GTHREAD_LIBRARIES}
        ${RSVG_LIBRARIES}
)
link_libraries(${LIBS})

set(LIB_PATHS
	${GOBJECT_LIBRARY_DIRS}
	${GIO_LIBRARY_DIRS}
	${POPPLER_LIBRARY_DIRS}
	${GTK_LIBRARY_DIRS}
	${GTHREAD_LIBRARY_DIRS}
        ${RSVG_LIBRARY_DIRS}
)
link_directories(${LIB_PATHS})

CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/paths.in ${CMAKE_CURRENT_SOURCE_DIR}/paths.c)

file (GLOB_RECURSE C_SRC RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.c)

add_executable(pdfpc
        ${C_SRC}
)

# explicitly add libraries (needed e.g. for Fedora 13+)
target_link_libraries(pdfpc -lm)

install(TARGETS 
	pdfpc
RUNTIME
DESTINATION
	bin
)

=== debian/changelog ===
pdf-presenter-console (3.1-1) unstable; urgency=low

  * Move man page tweak to quilt patch
  * New upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 27 Jun 2012 12:13:08 +0100

pdf-presenter-console (3.0-1) unstable; urgency=low

  * New upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 18 Jun 2012 16:03:34 +0100

pdf-presenter-console (2.0-9) unstable; urgency=low

  * merge upstream countdown patch
  * allow valac-0.16 (closes: #675661)

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 02 Jun 2012 20:37:42 +0100

## pdf-presenter-console 3.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,6 +2,8 @@
 cmake_minimum_required(VERSION 2.6)
 
 SET(CMAKE_BUILD_TYPE "Release")
+
+set(SYSCONFDIR "${CMAKE_INSTALL_PREFIX}/etc" CACHE FILEPATH "sysconfdir")
 
 # Uncomment this section if you want to compile from vala sources
 #list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/Vala_CMake/vala)
@@ -17,8 +19,6 @@
 # ...and comment the following line
 add_subdirectory(c-src)
 
-set(SYSCONFDIR "${CMAKE_INSTALL_PREFIX}/etc" CACHE FILEPATH "sysconfdir")
-
 add_subdirectory(icons)
 add_subdirectory(man)
 add_subdirectory(rc)

=== c-src/CMakeLists.txt ===
--- 
+++ 
@@ -39,7 +39,13 @@
 )
 link_directories(${LIB_PATHS})
 
-CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/paths.in ${CMAKE_CURRENT_SOURCE_DIR}/paths.c)
+# The files to be configured will be written automatically. In order for the
+# sed call to work properly, there mut be at least one line (may be empty)
+# between the markers.
+# BEGIN_CONFIGURE_FILES
+CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/pdfpc.in ${CMAKE_CURRENT_SOURCE_DIR}/pdfpc.c)
+CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/classes/window/presenter.in ${CMAKE_CURRENT_SOURCE_DIR}/classes/window/presenter.c)
+# END_CONFIGURE_FILES
 
 file (GLOB_RECURSE C_SRC RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.c)

=== icons/CMakeLists.txt ===
install(FILES
        blank.svg
        snow.svg
        pause.svg
DESTINATION
        share/pixmaps/pdfpc
)

=== man/CMakeLists.txt ===
CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/pdfpc.in ${CMAKE_CURRENT_SOURCE_DIR}/pdfpc.1)

install(FILES
        pdfpc.1
DESTINATION
        share/man/man1
)

=== rc/CMakeLists.txt ===
install(FILES
    pdfpcrc
DESTINATION
    ${SYSCONFDIR}
)

=== src/CMakeLists.txt ===
find_package(PkgConfig)
pkg_check_modules(GOBJECT REQUIRED gobject-2.0)
pkg_check_modules(GIO REQUIRED gio-2.0)
pkg_check_modules(GEE REQUIRED gee-1.0)
pkg_check_modules(POPPLER REQUIRED poppler-glib)
pkg_check_modules(GTK REQUIRED gtk+-2.0)
pkg_check_modules(GTHREAD REQUIRED gthread-2.0)
pkg_check_modules(RSVG REQUIRED librsvg-2.0)

set(CFLAGS
	${GOBJECT_CFLAGS} ${GOBJECT_CFLAGS_OTHER}
	${GIO_CFLAGS} ${GIO_CFLAGS_OTHER}
        ${GEE_CFLAGS} ${GEE_CFLAGS_OTHER}
	${POPPLER_CFLAGS} ${POPPLER_CFLAGS_OTHER}
	${GTK_CFLAGS} ${GTK_CFLAGS_OTHER}
	${GTHREAD_CFLAGS} ${GTHREAD_CFLAGS_OTHER}
        ${RSVG_CFLAGS} ${RSVG_CFLAGS_OTHER}
)
add_definitions(${CFLAGS})

set(LIBS
	${GOBJECT_LIBRARIES}
	${GIO_LIBRARIES}
        ${GEE_LIBRARIES}
	${POPPLER_LIBRARIES}
	${GTK_LIBRARIES}
	${GTHREAD_LIBRARIES}
        ${RSVG_LIBRARIES}
)
link_libraries(${LIBS})

set(LIB_PATHS
	${GOBJECT_LIBRARY_DIRS}
	${GIO_LIBRARY_DIRS}
        ${GEE_LIBRARY_DIRS}
	${POPPLER_LIBRARY_DIRS}
	${GTK_LIBRARY_DIRS}
	${GTHREAD_LIBRARY_DIRS}
        ${RSVG_LIBRARY_DIRS}
)
link_directories(${LIB_PATHS})

CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/paths.in ${CMAKE_CURRENT_SOURCE_DIR}/paths.vala)

file (GLOB_RECURSE VALA_SRC RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.vala)

vala_precompile(VALA_C
	${VALA_SRC}
PACKAGES 
	gio-2.0
        gee-1.0
	poppler-glib
	gtk+-2.0
	posix
        librsvg-2.0
OPTIONS 
	--thread
	--debug
GENERATE_HEADER
	presenter
GENERATE_VAPI
	presenter
)

add_executable(pdfpc
  	${VALA_C}
)

# explicitly add libraries (needed e.g. for Fedora 13+)
target_link_libraries(pdfpc -lm)

install(TARGETS 
	pdfpc
RUNTIME
DESTINATION
	bin
)

# The tests need a library version of all the pdf_presenter_stuff
add_library(pdf_presenter_console_test_library 
	SHARED
	EXCLUDE_FROM_ALL
	${VALA_C} presenter.h presenter.vapi
)

=== debian/changelog ===
pdf-presenter-console (3.1.1-2) unstable; urgency=low

  * Add NoDisplay to .desktop file: filename arg is mandatory (closes: #699829)
  * Remove .mime file; mime information is generated from desktop files
  * Install scalable icon

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 06 Feb 2013 11:36:05 +0000

pdf-presenter-console (3.1.1-1) unstable; urgency=low

  * update debian/watch
  * New upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 07 Jul 2012 23:24:48 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,10 @@
 Priority: extra
 Maintainer: Barak A. Pearlmutter <bap@debian.org>
 Build-Depends: debhelper (>= 9),
-	       valac-0.14 | valac (>= 0.11.0) | valac-0.12,
+	       valac (>= 0.11.0),
 	       cmake (>= 2.6.3),
+	       librsvg2-dev,
+	       libgee-dev,
 	       libgtk2.0-dev (>= 2.18.3),
 	       libpoppler-glib-dev
 Standards-Version: 3.9.3

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- -DSYSCONFDIR=/etc

override_dh_auto_test:
	echo skipping dh_auto_test as it seems to go into infinite recursion

=== debian/watch ===
version=3

# true upstream:
#http://githubredir.debian.net/github/jakobwesthoff/Pdf-Presenter-Console .*/release-(.*).tar.gz

# my own "upstream", to treat upstream snapshots as releases
#http://githubredir.debian.net/github/barak/Pdf-Presenter-Console .*/upstream/(.*).tar.gz

# new upstream maintainer, official tarball download page
#http://davvil.github.com/pdfpc/ \
# https://github.com/downloads/davvil/pdfpc/pdfpc-(.*).tgz

# new upstream maintainer, repo tags
http://githubredir.debian.net/github/davvil/pdfpc \
 /github/davvil/pdfpc/v([0-9.]*)\.tar\.gz

## pdf-presenter-console 4.0.0

=== CMakeLists.txt ===
project("pdfpc" C)
cmake_minimum_required(VERSION 2.6)

list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/Vala_CMake/vala)

find_package(Vala "0.26" REQUIRED)
include(${VALA_USE_FILE})

set(SYSCONFDIR "${CMAKE_INSTALL_PREFIX}/etc" CACHE FILEPATH "sysconfdir")

set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin)

add_subdirectory(src)
add_subdirectory(icons)
add_subdirectory(man)
add_subdirectory(rc)

=== man/CMakeLists.txt ===
CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/pdfpc.in ${CMAKE_CURRENT_SOURCE_DIR}/pdfpc.1)

install(FILES
    pdfpc.1
DESTINATION
    share/man/man1
)

=== src/CMakeLists.txt ===
find_package(PkgConfig)
pkg_check_modules(GOBJECT REQUIRED gobject-2.0)
pkg_check_modules(GIO REQUIRED gio-2.0)
pkg_check_modules(GEE REQUIRED gee-0.8)
pkg_check_modules(POPPLER REQUIRED poppler-glib)
pkg_check_modules(GTK REQUIRED gtk+-3.0)
pkg_check_modules(GTHREAD REQUIRED gthread-2.0)
pkg_check_modules(GSTREAMER REQUIRED gstreamer-1.0)
pkg_check_modules(GSTBASE REQUIRED gstreamer-base-1.0)
pkg_check_modules(GSTAUDIO REQUIRED gstreamer-audio-1.0)
pkg_check_modules(GSTVIDEO REQUIRED gstreamer-video-1.0)
pkg_check_modules(GDKX11 REQUIRED gdk-x11-3.0)

set(CFLAGS
    ${GOBJECT_CFLAGS} ${GOBJECT_CFLAGS_OTHER}
    ${GIO_CFLAGS} ${GIO_CFLAGS_OTHER}
    ${GEE_CFLAGS} ${GEE_CFLAGS_OTHER}
    ${POPPLER_CFLAGS} ${POPPLER_CFLAGS_OTHER}
    ${GTK_CFLAGS} ${GTK_CFLAGS_OTHER}
    ${GTHREAD_CFLAGS} ${GTHREAD_CFLAGS_OTHER}
    ${GSTREAMER_CFLAGS} ${GSTREAMER_CFLAGS_OTHER}
    ${GSTINTERFACES_CFLAGS} ${GSTINTERFACES_CFLAGS_OTHER}
    ${GSTVIDEO_CFLAGS} ${GSTVIDEO_CFLAGS_OTHER}
    ${GDKX11_CFLAGS} ${GDKX11_CFLAGS_OTHER}
)
add_definitions(${CFLAGS})

set(LIBS
    ${GOBJECT_LIBRARIES}
    ${GIO_LIBRARIES}
    ${GEE_LIBRARIES}
    ${POPPLER_LIBRARIES}
    ${GTK_LIBRARIES}
    ${GTHREAD_LIBRARIES}
    ${GSTREAMER_LIBRARIES}
    ${GSTINTERFACES_LIBRARIES}
    ${GSTVIDEO_LIBRARIES}
    ${GDKX11_LIBRARIES}
)
link_libraries(${LIBS})

set(LIB_PATHS
    ${GOBJECT_LIBRARY_DIRS}
    ${GIO_LIBRARY_DIRS}
    ${GEE_LIBRARY_DIRS}
    ${POPPLER_LIBRARY_DIRS}
    ${GTK_LIBRARY_DIRS}
    ${GTHREAD_LIBRARY_DIRS}
    ${GSTREAMER_LIBRARY_DIRS}
    ${GSTINTERFACES_LIBRARY_DIRS}
    ${GSTVIDEO_LIBRARY_DIRS}
    ${GDKX11_LIBRARY_DIRS}
)
link_directories(${LIB_PATHS})

CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/paths.in ${CMAKE_CURRENT_SOURCE_DIR}/paths.vala)

file (GLOB_RECURSE VALA_SRC RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.vala)

vala_precompile(VALA_C
    ${VALA_SRC}
PACKAGES
    gio-2.0
    gee-0.8
    poppler-glib
    gtk+-3.0
    posix
    gstreamer-1.0
    gstreamer-base-1.0
    gstreamer-audio-1.0
    gstreamer-video-1.0
    gdk-x11-3.0
OPTIONS
    --thread
    --debug
    --enable-experimental
GENERATE_HEADER
    presenter
GENERATE_VAPI
    presenter
)

add_executable(pdfpc
    ${VALA_C}
)

# explicitly add libraries (needed e.g. for Fedora 13+)
target_link_libraries(pdfpc -lm)

install(TARGETS
    pdfpc
RUNTIME
DESTINATION
    bin
)

# The tests need a library version of all the pdf_presenter_stuff
add_library(pdf_presenter_console_test_library
    SHARED
    EXCLUDE_FROM_ALL
    ${VALA_C} presenter.h presenter.vapi
)

=== debian/changelog ===
pdf-presenter-console (4.0.0-1) unstable; urgency=medium

  * New upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 02 Jun 2015 18:02:27 +0100

pdf-presenter-console (3.1.1+git.2.8a2f105-1) unstable; urgency=medium

  * Upstream snaphot with gstreamer 1.0 support
  * update build dependencies including GStreamer 0.1 to 1.0 (closes: #785863)

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 22 May 2015 12:27:47 +0100

pdf-presenter-console (3.1.1+git.1.5d18a2c-1) unstable; urgency=medium

  * Use upstream snaphot tarball to avoid stray deleted files

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 12 May 2015 10:16:09 +0100

pdf-presenter-console (3.1.1-6) unstable; urgency=medium

  * oops add build dependency on libgstreamer-plugins-base0.10-dev

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 11 May 2015 15:32:52 +0100

pdf-presenter-console (3.1.1-5) unstable; urgency=medium

  * oops, update gtk build dependency version to 3.0
  * add libgstreamer build dependency
  * remove librsvg build depenedency

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 11 May 2015 14:35:51 +0100

pdf-presenter-console (3.1.1-4) unstable; urgency=medium

  * build with libgee-0.8-dev not libgee-dev (closes: #753878)
  * merge upstream patches to c85ecfbf dated 16-Apr-2015 (closes: #729052)
    - upstream group maintenance with new epicentre
    - no .c sources, compiles .vala to .c at build time
    - adjust for API change in libgee-0.8-dev
    - many minor and major fixes, like video support
  * Provide: pdfpc, for ecumenical naming and search (closes: 695269)

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 11 May 2015 10:27:47 +0100

pdf-presenter-console (3.1.1-3) unstable; urgency=medium

  * update debian/watch, add pointer to similar Haskell-based program
  * bump standards version, no changes required
  * quilt patch to build with libgee-0.8-dev instead of libgee-dev,
    disabled as it results in a build failure, would close 753878 if it worked.
  * canonicalize repo urls in debian/control

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 04 Feb 2015 22:48:57 +0000

## pdf-presenter-console 4.0.2

=== CMakeLists.txt ===
project("pdfpc" C)
cmake_minimum_required(VERSION 2.6)

list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/vala)

find_package(Vala "0.26" REQUIRED)
include(${VALA_USE_FILE})

set(SYSCONFDIR "${CMAKE_INSTALL_PREFIX}/etc" CACHE FILEPATH "sysconfdir")
set(MANDIR "share/man/man1" CACHE FILEPATH "mandir")

set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin)

option(MOVIES "Compile support for movie playback (requires gdk-x11)" ON)

add_subdirectory(src)
add_subdirectory(icons)
add_subdirectory(man)
add_subdirectory(rc)

=== icons/CMakeLists.txt ===
install(FILES
    blank.svg
    snow.svg
    pause.svg
DESTINATION
    share/pixmaps/pdfpc
)

=== man/CMakeLists.txt ===
--- 
+++ 
@@ -3,5 +3,5 @@
 install(FILES
     pdfpc.1
 DESTINATION
-    share/man/man1
+    ${MANDIR}
 )

=== rc/CMakeLists.txt ===
install(FILES
    pdfpcrc
DESTINATION
    ${SYSCONFDIR}
)

install(FILES
    pdfpc.css
DESTINATION
    ${CMAKE_INSTALL_PREFIX}/share/pixmaps/pdfpc/
)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -5,11 +5,20 @@
 pkg_check_modules(POPPLER REQUIRED poppler-glib)
 pkg_check_modules(GTK REQUIRED gtk+-3.0)
 pkg_check_modules(GTHREAD REQUIRED gthread-2.0)
-pkg_check_modules(GSTREAMER REQUIRED gstreamer-1.0)
-pkg_check_modules(GSTBASE REQUIRED gstreamer-base-1.0)
-pkg_check_modules(GSTAUDIO REQUIRED gstreamer-audio-1.0)
-pkg_check_modules(GSTVIDEO REQUIRED gstreamer-video-1.0)
-pkg_check_modules(GDKX11 REQUIRED gdk-x11-3.0)
+if (MOVIES)
+    pkg_check_modules(GSTREAMER REQUIRED gstreamer-1.0)
+    pkg_check_modules(GSTBASE REQUIRED gstreamer-base-1.0)
+    pkg_check_modules(GSTAUDIO REQUIRED gstreamer-audio-1.0)
+    pkg_check_modules(GSTVIDEO REQUIRED gstreamer-video-1.0)
+    pkg_check_modules(GDKX11 REQUIRED gdk-x11-3.0)
+    set(MOVIE_PACKAGES
+        gstreamer-1.0
+        gstreamer-base-1.0
+        gstreamer-audio-1.0
+        gstreamer-video-1.0
+        gdk-x11-3.0
+    )
+endif ()
 
 set(CFLAGS
     ${GOBJECT_CFLAGS} ${GOBJECT_CFLAGS_OTHER}
@@ -56,6 +65,11 @@
 CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/paths.in ${CMAKE_CURRENT_SOURCE_DIR}/paths.vala)
 
 file (GLOB_RECURSE VALA_SRC RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.vala)
+if (MOVIES)
+    set(EXTRA_VALA_OPTIONS ${EXTRA_VALA_OPTIONS} -D MOVIES)
+else ()
+    LIST(REMOVE_ITEM VALA_SRC classes/action/movie.vala)
+endif ()
 
 vala_precompile(VALA_C
     ${VALA_SRC}
@@ -65,15 +79,12 @@
     poppler-glib
     gtk+-3.0
     posix
-    gstreamer-1.0
-    gstreamer-base-1.0
-    gstreamer-audio-1.0
-    gstreamer-video-1.0
-    gdk-x11-3.0
+    ${MOVIE_PACKAGES}
 OPTIONS
     --thread
     --debug
     --enable-experimental
+    ${EXTRA_VALA_OPTIONS}
 GENERATE_HEADER
     presenter
 GENERATE_VAPI

=== debian/changelog ===
pdf-presenter-console (4.0.2-2) unstable; urgency=medium

  * update homepage (closes: #820477)
  * bump standards version, no changes required
  * merge upstream development branch, with FTBFS fix (closes: #819858)
  * tweak debian/copyright
  * pass hardening flags per
    https://wiki.debian.org/Hardening#Notes_for_packages_using_Vala

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 02 May 2016 11:05:48 +0100

pdf-presenter-console (4.0.2-1) unstable; urgency=medium

  * New upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 15 Feb 2016 12:21:32 +0000

pdf-presenter-console (4.0.1-1) unstable; urgency=medium

  * New upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 16 Nov 2015 12:28:24 +0000

=== debian/control ===
Source: pdf-presenter-console
Section: graphics
Priority: extra
Maintainer: Barak A. Pearlmutter <bap@debian.org>
Build-Depends: debhelper (>= 9),
	       valac (>= 0.24),
	       cmake (>= 2.6.3),
	       libgee-0.8-dev,
	       libgtk-3-dev,
	       libgstreamer1.0-dev, libgstreamer-plugins-base1.0-dev,
	       libpoppler-glib-dev
Standards-Version: 3.9.8
Homepage: https://pdfpc.github.io
Vcs-Git: git://anonscm.debian.org/collab-maint/pdf-presenter-console.git
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/pdf-presenter-console.git

Package: pdf-presenter-console
Provides: pdfpc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: multi-monitor presentation tool (ala Keynote) for PDF files
 PPC is a viewer for PDF which uses Keynote-like multi-monitor output
 to provide meta information to the speaker.  It can show a normal
 presentation window on one screen and a more sophisticated overview
 on the other, with information like a picture of the next slide and a
 clock with the time remaining.

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,7 @@
 #!/usr/bin/make -f
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+VALAFLAGS:=$(foreach w,$(CPPFLAGS) $(CFLAGS) $(LDFLAGS),-X $(w))
 
 %:
 	dh $@ --parallel

## pdf-presenter-console 4.0.5

=== man/CMakeLists.txt ===
CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/pdfpc.in ${CMAKE_CURRENT_SOURCE_DIR}/pdfpc.1)
CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/pdfpcrc.in ${CMAKE_CURRENT_SOURCE_DIR}/pdfpcrc.5)

install(FILES
    pdfpc.1
    pdfpcrc.5
DESTINATION
    ${MANDIR}
)

=== debian/changelog ===
pdf-presenter-console (4.0.5-1) unstable; urgency=medium

  * bump to dh10
  * bump standards version
  * New upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 05 Jan 2017 14:40:26 +0100

pdf-presenter-console (4.0.4-1) unstable; urgency=medium

  * New upstream release
  * Track upstream bug fixes

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 28 Nov 2016 18:43:48 +0000

pdf-presenter-console (4.0.3-1) unstable; urgency=medium

  * New upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 13 Oct 2016 10:22:27 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: graphics
 Priority: extra
 Maintainer: Barak A. Pearlmutter <bap@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
 	       valac (>= 0.24),
 	       cmake (>= 2.6.3),
 	       libgee-0.8-dev,

## pdf-presenter-console 4.0.6

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -3,8 +3,9 @@
 pkg_check_modules(GIO REQUIRED gio-2.0)
 pkg_check_modules(GEE REQUIRED gee-0.8)
 pkg_check_modules(POPPLER REQUIRED poppler-glib)
-pkg_check_modules(GTK REQUIRED gtk+-3.0)
+pkg_check_modules(GTK REQUIRED gtk+-3.0>=3.10)
 pkg_check_modules(GTHREAD REQUIRED gthread-2.0)
+pkg_check_modules(PANGOCAIRO REQUIRED pangocairo)
 if (MOVIES)
     pkg_check_modules(GSTREAMER REQUIRED gstreamer-1.0)
     pkg_check_modules(GSTBASE REQUIRED gstreamer-base-1.0)
@@ -20,6 +21,11 @@
     )
 endif ()
 
+if ("${GTK_VERSION}" LESS 3.18)
+    message(WARNING "Using legacy GTK API")
+    set(EXTRA_VALA_OPTIONS ${EXTRA_VALA_OPTIONS} -D GTK_LEGACY)
+endif ()
+
 set(CFLAGS
     ${GOBJECT_CFLAGS} ${GOBJECT_CFLAGS_OTHER}
     ${GIO_CFLAGS} ${GIO_CFLAGS_OTHER}
@@ -27,6 +33,7 @@
     ${POPPLER_CFLAGS} ${POPPLER_CFLAGS_OTHER}
     ${GTK_CFLAGS} ${GTK_CFLAGS_OTHER}
     ${GTHREAD_CFLAGS} ${GTHREAD_CFLAGS_OTHER}
+    ${PANGOCAIRO_CFLAGS} ${PANGOCAIRO_CFLAGS_OTHER}
     ${GSTREAMER_CFLAGS} ${GSTREAMER_CFLAGS_OTHER}
     ${GSTINTERFACES_CFLAGS} ${GSTINTERFACES_CFLAGS_OTHER}
     ${GSTVIDEO_CFLAGS} ${GSTVIDEO_CFLAGS_OTHER}
@@ -41,6 +48,7 @@
     ${POPPLER_LIBRARIES}
     ${GTK_LIBRARIES}
     ${GTHREAD_LIBRARIES}
+    ${PANGOCAIRO_LIBRARIES}
     ${GSTREAMER_LIBRARIES}
     ${GSTINTERFACES_LIBRARIES}
     ${GSTVIDEO_LIBRARIES}
@@ -55,6 +63,7 @@
     ${POPPLER_LIBRARY_DIRS}
     ${GTK_LIBRARY_DIRS}
     ${GTHREAD_LIBRARY_DIRS}
+    ${PANGOCAIRO_LIBRARY_DIRS}
     ${GSTREAMER_LIBRARY_DIRS}
     ${GSTINTERFACES_LIBRARY_DIRS}
     ${GSTVIDEO_LIBRARY_DIRS}
@@ -78,6 +87,7 @@
     gee-0.8
     poppler-glib
     gtk+-3.0
+    pangocairo
     posix
     ${MOVIE_PACKAGES}
 OPTIONS

=== debian/changelog ===
pdf-presenter-console (4.0.6-1) unstable; urgency=medium

  * New upstream release
    - fullscreen margin problems (closes: #854266)
    - solve video resolution vs DPI problem (closes: #854273)
    - sometimes obay loop and showcontrols=false video playback options (closes: #853097)
    - better Wayland support
    - show slide numbers on overview page
    - command line option --page/-P for initial page
    - respect GDK hints about HiDPI screens

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 19 Feb 2017 08:10:14 +0000

## pdf-presenter-console 4.0.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 include(${VALA_USE_FILE})
 
 set(SYSCONFDIR "${CMAKE_INSTALL_PREFIX}/etc" CACHE FILEPATH "sysconfdir")
-set(MANDIR "share/man/man1" CACHE FILEPATH "mandir")
+set(MANDIR "share/man" CACHE FILEPATH "mandir")
 
 set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin)

=== icons/CMakeLists.txt ===
install(FILES
    blank.svg
    snow.svg
    pause.svg
    saved.svg
    loaded.svg
DESTINATION
    share/pixmaps/pdfpc
)

=== man/CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,12 @@
 
 install(FILES
     pdfpc.1
+DESTINATION
+    ${MANDIR}/man1
+)
+
+install(FILES
     pdfpcrc.5
 DESTINATION
-    ${MANDIR}
+    ${MANDIR}/man5
 )

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -4,6 +4,14 @@
 pkg_check_modules(GEE REQUIRED gee-0.8)
 pkg_check_modules(POPPLER REQUIRED poppler-glib)
 pkg_check_modules(GTK REQUIRED gtk+-3.0>=3.10)
+list (FIND GTK_STATIC_LIBRARIES "X11" _index)
+if (${_index} GREATER -1)
+    set(WITH_X11 1)
+    message(STATUS "GTK is compiled with X11 -- enabling X11 support")
+    pkg_check_modules(X11 REQUIRED x11)
+    set(EXTRA_VALA_OPTIONS ${EXTRA_VALA_OPTIONS} -D X11)
+    set(X11_PACKAGE x11)
+endif ()
 pkg_check_modules(GTHREAD REQUIRED gthread-2.0)
 pkg_check_modules(PANGOCAIRO REQUIRED pangocairo)
 if (MOVIES)
@@ -21,7 +29,7 @@
     )
 endif ()
 
-if ("${GTK_VERSION}" LESS 3.18)
+if ("${GTK_VERSION}" LESS 3.18 OR "${VALA_VERSION}" LESS 0.30)
     message(WARNING "Using legacy GTK API")
     set(EXTRA_VALA_OPTIONS ${EXTRA_VALA_OPTIONS} -D GTK_LEGACY)
 endif ()
@@ -39,7 +47,6 @@
     ${GSTVIDEO_CFLAGS} ${GSTVIDEO_CFLAGS_OTHER}
     ${GDKX11_CFLAGS} ${GDKX11_CFLAGS_OTHER}
 )
-add_definitions(${CFLAGS})
 
 set(LIBS
     ${GOBJECT_LIBRARIES}
@@ -54,7 +61,6 @@
     ${GSTVIDEO_LIBRARIES}
     ${GDKX11_LIBRARIES}
 )
-link_libraries(${LIBS})
 
 set(LIB_PATHS
     ${GOBJECT_LIBRARY_DIRS}
@@ -69,6 +75,15 @@
     ${GSTVIDEO_LIBRARY_DIRS}
     ${GDKX11_LIBRARY_DIRS}
 )
+
+if(${WITH_X11})
+    set(CFLAGS ${CFLAGS} ${X11_CFLAGS} ${X11_CFLAGS_OTHER})
+    set(LIBS ${LIBS} ${X11_LIBRARIES})
+    set(LIB_PATH ${LIB_PATH} ${X11_LIBRARY_DIRS})
+endif()
+
+add_definitions(${CFLAGS})
+link_libraries(${LIBS})
 link_directories(${LIB_PATHS})
 
 CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/paths.in ${CMAKE_CURRENT_SOURCE_DIR}/paths.vala)
@@ -86,6 +101,7 @@
     gio-2.0
     gee-0.8
     poppler-glib
+    ${X11_PACKAGE}
     gtk+-3.0
     pangocairo
     posix

=== debian/changelog ===
pdf-presenter-console (4.0.7-2mx17+1) mx; urgency=medium

  * Rebuild for MX-17.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 23 Aug 2017 14:54:40 -0700

pdf-presenter-console (4.0.7-2) unstable; urgency=medium

  * Merge upstream fixes, should address various video bugs

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 25 Jul 2017 11:52:59 +0100

pdf-presenter-console (4.0.7-1) unstable; urgency=medium

  * New upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 28 Jun 2017 09:21:06 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,9 @@
 Source: pdf-presenter-console
 Section: graphics
 Priority: extra
-Maintainer: Barak A. Pearlmutter <bap@debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+Bugs: mailto: <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Barak A. Pearlmutter <bap@debian.org>
 Build-Depends: debhelper (>= 10),
 	       valac (>= 0.24),
 	       cmake (>= 2.6.3),
@@ -9,7 +11,7 @@
 	       libgtk-3-dev,
 	       libgstreamer1.0-dev, libgstreamer-plugins-base1.0-dev,
 	       libpoppler-glib-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: https://pdfpc.github.io
 Vcs-Git: git://anonscm.debian.org/collab-maint/pdf-presenter-console.git
 Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/pdf-presenter-console.git

## pdf-presenter-console 4.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 project("pdfpc" C)
-cmake_minimum_required(VERSION 2.6)
+cmake_minimum_required(VERSION 3.0)
 
 list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/vala)

=== icons/CMakeLists.txt ===
install(FILES
    blank.svg
    hidden.svg
    snow.svg
    pause.svg
    saved.svg
    loaded.svg
    locked.svg
    highlight.svg
    pen.svg
    eraser.svg
DESTINATION
    share/pixmaps/pdfpc
)

=== man/CMakeLists.txt ===
CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/pdfpc.in ${CMAKE_CURRENT_BINARY_DIR}/pdfpc.1)
CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/pdfpcrc.in ${CMAKE_CURRENT_BINARY_DIR}/pdfpcrc.5)

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/pdfpc.1
DESTINATION
    ${MANDIR}/man1
)

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/pdfpcrc.5
DESTINATION
    ${MANDIR}/man5
)

=== src/CMakeLists.txt ===
find_package(PkgConfig)
pkg_check_modules(GOBJECT REQUIRED gobject-2.0)
pkg_check_modules(GIO REQUIRED gio-2.0)
pkg_check_modules(GEE REQUIRED gee-0.8)
pkg_check_modules(POPPLER REQUIRED poppler-glib)
pkg_check_modules(GTK REQUIRED gtk+-3.0>=3.10)
list (FIND GTK_STATIC_LIBRARIES "X11" _index)
if (${_index} GREATER -1)
    set(WITH_X11 1)
    message(STATUS "GTK is compiled with X11 -- enabling X11 support")
    pkg_check_modules(X11 REQUIRED x11)
    set(EXTRA_VALA_OPTIONS ${EXTRA_VALA_OPTIONS} -D X11)
    set(X11_PACKAGE x11)
endif ()
pkg_check_modules(GTHREAD REQUIRED gthread-2.0)
pkg_check_modules(PANGOCAIRO REQUIRED pangocairo)
if (MOVIES)
    pkg_check_modules(GSTREAMER REQUIRED gstreamer-1.0)
    pkg_check_modules(GSTBASE REQUIRED gstreamer-base-1.0)
    pkg_check_modules(GSTAUDIO REQUIRED gstreamer-audio-1.0)
    pkg_check_modules(GSTVIDEO REQUIRED gstreamer-video-1.0)
    set(MOVIE_PACKAGES
        gstreamer-1.0
        gstreamer-base-1.0
        gstreamer-audio-1.0
        gstreamer-video-1.0
    )
endif ()

if ("${GTK_VERSION}" VERSION_LESS 3.18 OR "${VALA_VERSION}" VERSION_LESS 0.30)
    message(WARNING "Using legacy GTK API")
    set(EXTRA_VALA_OPTIONS ${EXTRA_VALA_OPTIONS} -D GTK_LEGACY)
endif ()

if ("${POPPLER_VERSION}" VERSION_GREATER 0.53 AND "${VALA_VERSION}" VERSION_GREATER 0.36.3)
    set(EXTRA_VALA_OPTIONS ${EXTRA_VALA_OPTIONS} -D NEW_POPPLER)
endif()

include_directories(
    ${GOBJECT_INCLUDE_DIRS}
    ${GIO_INCLUDE_DIRS}
    ${GEE_INCLUDE_DIRS}
    ${POPPLER_INCLUDE_DIRS}
    ${GTK_INCLUDE_DIRS}
    ${GTHREAD_INCLUDE_DIRS}
    ${PANGOCAIRO_INCLUDE_DIRS}
    ${GSTREAMER_INCLUDE_DIRS}
    ${GSTINTERFACES_INCLUDE_DIRS}
    ${GSTVIDEO_INCLUDE_DIRS}
    ${CMAKE_CURRENT_SOURCE_DIR}
)

if(${WITH_X11})
    include_directories(${X11_INCLUDE_DIRS})
    set(ADDITIONAL_LIBS ${X11_LIBRARIES})
endif()

CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/paths.in ${CMAKE_CURRENT_BINARY_DIR}/paths.vala)

file (GLOB_RECURSE C_SRC RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.c)
file (GLOB_RECURSE VALA_SRC RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.vala)
list(REMOVE_ITEM VALA_SRC paths.vala)
if (MOVIES)
    set(EXTRA_VALA_OPTIONS ${EXTRA_VALA_OPTIONS} -D MOVIES)
else ()
    LIST(REMOVE_ITEM VALA_SRC classes/action/movie.vala)
endif ()

vala_precompile(VALA_C
    ${VALA_SRC}
PACKAGES
    gio-2.0
    gee-0.8
    poppler-glib
    ${X11_PACKAGE}
    gtk+-3.0
    pangocairo
    posix
    ${MOVIE_PACKAGES}
OPTIONS
    --thread
    --debug
    --enable-experimental
    ${EXTRA_VALA_OPTIONS}
GENERATE_HEADER
    presenter
GENERATE_VAPI
    presenter
CUSTOM_VAPIS
    ${CMAKE_CURRENT_BINARY_DIR}/paths.vala
    ${CMAKE_CURRENT_SOURCE_DIR}/custom_binding.vapi
)

add_executable(pdfpc
    ${VALA_C}
    ${C_SRC}
)

# explicitly add libraries (needed e.g. for Fedora 13+)
target_link_libraries(pdfpc
    m
    ${GOBJECT_LIBRARIES}
    ${GIO_LIBRARIES}
    ${GEE_LIBRARIES}
    ${POPPLER_LIBRARIES}
    ${GTK_LIBRARIES}
    ${GTHREAD_LIBRARIES}
    ${PANGOCAIRO_LIBRARIES}
    ${GSTREAMER_LIBRARIES}
    ${GSTINTERFACES_LIBRARIES}
    ${GSTVIDEO_LIBRARIES}
    ${ADDITIONAL_LIBS}
)

install(TARGETS
    pdfpc
RUNTIME
DESTINATION
    bin
)

# The tests need a library version of all the pdf_presenter_stuff
add_library(pdf_presenter_console_test_library
    SHARED
    EXCLUDE_FROM_ALL
    ${VALA_C} presenter.h presenter.vapi
)

=== debian/changelog ===
pdf-presenter-console (4.1-2) unstable; urgency=medium

  * Merge minor upstream bug fixes and documentation updates

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 22 Dec 2017 20:39:19 +0000

pdf-presenter-console (4.1-1) unstable; urgency=medium

  * New upstream release
  * Bump policy
  * Bump cmake build dependency version per upstream

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 03 Nov 2017 09:18:01 +0000

pdf-presenter-console (4.0.8-2) unstable; urgency=medium

  * Merge upstream fix (closes: #855525)

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 11 Sep 2017 16:40:41 +0100

pdf-presenter-console (4.0.8-1) unstable; urgency=medium

  * New upstream release
  * Bump policy
  * Secure repo URL
  * Merge minor upstream doc mods

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 31 Aug 2017 10:00:20 +0100

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,17 @@
 Source: pdf-presenter-console
 Section: graphics
-Priority: extra
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-Bugs: mailto: <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Barak A. Pearlmutter <bap@debian.org>
+Priority: optional
+Maintainer: Barak A. Pearlmutter <bap@debian.org>
 Build-Depends: debhelper (>= 10),
 	       valac (>= 0.24),
-	       cmake (>= 2.6.3),
+	       cmake (>= 3),
 	       libgee-0.8-dev,
 	       libgtk-3-dev,
 	       libgstreamer1.0-dev, libgstreamer-plugins-base1.0-dev,
 	       libpoppler-glib-dev
-Standards-Version: 4.0.0
+Standards-Version: 4.1.2
 Homepage: https://pdfpc.github.io
-Vcs-Git: git://anonscm.debian.org/collab-maint/pdf-presenter-console.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/pdf-presenter-console.git
 Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/pdf-presenter-console.git
 
 Package: pdf-presenter-console
